/*
 *  PCUServeur for the PCU project.
 *  Copyright (C) 2010  PLU Julien
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  For questions: julien.plu@redaction-developpez.com
 */
package pcuserveur.lib;

/**
 * @author PLU Julien
 * @version 1.0 
 * 
 * <b>
 *     Enumération représentant les état de connexion des
 *     utilisateurs.
 * </b>
 * 
 * @see GestionnaireConnexion
 */
public enum Etat {
	/**
	 * <p>
	 * Etat authentifié.
	 * </p>
	 */
	authentifie,
	/**
	 * <p>
	 * Etat connexion_canal.
	 * </p>
	 */
	connexion_canal,
	/**
	 * <p>
	 * Etat connexion direct.
	 * </p>
	 */
	connexion_directe,
	/**
	 * <p>
	 * Etat non authentifié.
	 * </p>
	 */
	non_authentifie,
}
