/*
 *  PCUServeur for the PCU project.
 *  Copyright (C) 2010  PLU Julien
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  For questions: julien.plu@redaction-developpez.com
 */
package pcuserveur.lib;

import java.io.IOException;

/**
 * @author PLU Julien
 * @version 1.0 
 * 
 * <b>
 *     Classe principale s'occupant de démarer le serveur.
 * </b>
 * 
 * @see Serveur
 */
public class MainServeur {
	/**
	 * <p>
	 * Méthode principale main.
	 * </p>
	 * 
	 * @param args
	 *            Tableau d'arguments.
	 */
	public static void main (final String[] args) {
		try {
			final Serveur serveur = new Serveur ();
			serveur.lancer ();
		}
		catch (final IOException e) {
			Serveur.logServeur.logMessage ("Le port est déjà utilisé"); //$NON-NLS-1$
			Serveur.logServeur.logException ("MainServeur", "main", e); //$NON-NLS-1$ //$NON-NLS-2$
		}
		catch (final ClassNotFoundException e) {
			Serveur.logServeur.logMessage ("Classe non trouvée"); //$NON-NLS-1$
			Serveur.logServeur.logException ("MainServeur", "main", e); //$NON-NLS-1$ //$NON-NLS-2$
		}
		catch (final RuntimeException e) {
			Serveur.logServeur.logMessage ("BDD non trouvée"); //$NON-NLS-1$
			Serveur.logServeur.logException ("MainServeur", "main", e); //$NON-NLS-1$ //$NON-NLS-2$
		}
	}
}
