/*
 *  PCUServeur for the PCU project.
 *  Copyright (C) 2010  PLU Julien
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  For questions: julien.plu@redaction-developpez.com
 */
package pcuserveur.lib;

/**
 * @author PLU Julien
 * @version 1.0 
 * 
 * <b>
 *     Exception levé lorsqu'il y a déjà un trop grand nombre de
 *     canaux créer.
 * </b>
 * 
 * @see GestionnaireConnexion
 * @see Serveur
 * @see Exception
 */
public class NbCanauxMaxException extends Exception {
	/**
	 * 
	 */
	private static final long serialVersionUID = 5660134065961593395L;

	/**
	 * <p>
	 * Contructeur par défaut.
	 * </p>
	 */
	public NbCanauxMaxException () {
		super ();
	}

	/**
	 * <p>
	 * Construire l'exception avec le message spécifié.
	 * </p>
	 * 
	 * @param message
	 *            Description.
	 */
	public NbCanauxMaxException (final String message) {
		super (message);
	}
}
