/*
 *  PCUServeur for the PCU project.
 *  Copyright (C) 2010  PLU Julien
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  For questions: julien.plu@redaction-developpez.com
 */
package pcuserveur.lib;

/**
 * @author PLU Julien
 * @version 1.0 
 * 
 * <b> 
 *     Cette interface demande aux classes l'implémentant, qu'une
 *     instance d'objet puisse avoir un état particulier, dit "vide". Un
 *     objet vide et un objet inutilisé et pouvant être récupéré.
 * </b>
 */
public interface Vide {
	/**
	 * <p>
	 * Savoir si l'objet est vide.
	 * </p>
	 * 
	 * @return true si l'objet est vide, false sinon.
	 */
	boolean estVide ();

	/**
	 * <p>
	 * Vider l'objet.
	 * </p>
	 */
	void vider ();
}
